# Bonus: brief introduction to the diamonds data
library(ggplot2)

# Scatterplot ---------------------------------------------------------------

# Revision: looking at scatterplots
qplot(x, y, data = diamonds)
qplot(carat, price, data = diamonds)
qplot(table, price, data = diamonds) + xlim(50, 75)

qplot(carat, price, data = diamonds)
qplot(log(carat), log(price), data = diamonds)
qplot(carat, price / carat, data = diamonds)

# Adding aesthetics
qplot(carat, price, data = diamonds, colour = color)

# Facetting
qplot(carat, price, data = diamonds) + facet_grid(. ~ color)
qplot(carat, price, data = diamonds) + facet_grid(clarity ~ .)
qplot(carat, price, data = diamonds) + facet_grid(clarity ~ color)

qplot(carat, price, data = diamonds) + facet_wrap(~ color)